=== debian/control ===
Source: ros-foxy-lifecycle
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-lifecycle-msgs, ros-foxy-rclcpp-lifecycle, ros-foxy-ros-testing, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-lifecycle-msgs, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Package containing demos for lifecycle implementation
